changeset 1737:1acbe7e78d9d

Switch from bz2 to gz tarball output. bz2 is slowly being replaced by lz variants, but gzip isn't going anywhere. (It retains a niche as a streaming protocol, it's the 80/20 solution optimizing for speed, low memory requirements, and simple compressor implementation.)
author Rob Landley <rob@landley.net>
date Fri, 20 Feb 2015 13:12:45 -0600
parents 0cafbd2050dc
children cdc277cf7b83
files build.sh sources/functions.sh
diffstat 2 files changed, 8 insertions(+), 8 deletions(-) [+]
line wrap: on
line diff
--- a/build.sh	Fri Feb 20 12:32:34 2015 -0600
+++ b/build.sh	Fri Feb 20 13:12:45 2015 -0600
@@ -62,7 +62,7 @@
 {
   [ "$REBUILD" == "$1" ] && zap "$1"
 
-  if [ -f "$BUILD/$1-$ARCH.tar.bz2" ]
+  if [ -f "$BUILD/$1-$ARCH.tar.gz" ]
   then
     echo "=== Skipping $1-$ARCH (already there)"
     return 1
--- a/sources/functions.sh	Fri Feb 20 12:32:34 2015 -0600
+++ b/sources/functions.sh	Fri Feb 20 13:12:45 2015 -0600
@@ -148,10 +148,10 @@
 
   if [ ! -z "$BINARY_PACKAGE_TARBALLS" ]
   then
-    TARNAME="$PACKAGE-$STAGE_NAME-${ARCH_NAME}".tar.bz2
+    TARNAME="$PACKAGE-$STAGE_NAME-${ARCH_NAME}".tar.gz
     [ ! -z "$(recent_binary_files)" ] &&
       echo -n Creating "$TARNAME" &&
-      { recent_binary_files | xargs -0 tar -cjvf \
+      { recent_binary_files | xargs -0 tar -czvf \
           "$BUILD/${TARNAME}" -C "$STAGE_DIR" || dienow
       } | dotprogress
   fi
@@ -320,8 +320,8 @@
   if [ "$ARCH" != "$ARCH_NAME" ]
   then
     link_arch_name $STAGE_NAME-{"$ARCH","$ARCH_NAME"}
-    [ -e $STAGE_NAME-"$ARCH".tar.bz2 ] &&
-      link_arch_name $STAGE_NAME-{"$ARCH","$ARCH_NAME"}.tar.bz2
+    [ -e $STAGE_NAME-"$ARCH".tar.gz ] &&
+      link_arch_name $STAGE_NAME-{"$ARCH","$ARCH_NAME"}.tar.gz
 
     if [ -e "$BUILD/$STAGE_NAME-$ARCH" ]
     then
@@ -347,12 +347,12 @@
 
   if [ -z "$NO_STAGE_TARBALLS" ]
   then
-    echo -n creating "$STAGE_NAME-${ARCH}".tar.bz2
+    echo -n creating "$STAGE_NAME-${ARCH}".tar.gz
 
-    { tar cjvf "$STAGE_NAME-${ARCH}".tar.bz2 "$STAGE_NAME-${ARCH}" || dienow
+    { tar czvf "$STAGE_NAME-${ARCH}".tar.gz "$STAGE_NAME-${ARCH}" || dienow
     } | dotprogress
 
-    link_arch_name $STAGE_NAME-{$ARCH,$ARCH_NAME}.tar.bz2
+    link_arch_name $STAGE_NAME-{$ARCH,$ARCH_NAME}.tar.gz
   fi
 }